# Uses of Class
java.util.IntSummaryStatistics

Packages that use IntSummaryStatistics
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

- ## Uses of IntSummaryStatistics in java.util

  Methods in java.util with parameters of type IntSummaryStatistics
  Modifier and Type
  Method
  Description
  `void`
  IntSummaryStatistics.`combine(IntSummaryStatistics other)`
  Combines the state of another `IntSummaryStatistics` into this one.

- ## Uses of IntSummaryStatistics in java.util.stream

  Methods in java.util.stream that return IntSummaryStatistics
  Modifier and Type
  Method
  Description
  `IntSummaryStatistics`
  IntStream.`summaryStatistics()`
  Returns an `IntSummaryStatistics` describing various summary data about the elements of this stream.
  Methods in java.util.stream that return types with arguments of type IntSummaryStatistics
  Modifier and Type
  Method
  Description
  `static <T> Collector<T, ?, IntSummaryStatistics>`
  Collectors.`summarizingInt(ToIntFunction<? super T> mapper)`
  Returns a `Collector` which applies an `int`-producing mapping function to each input element, and returns summary statistics for the resulting values.